.site-hdr, .site-hdr .grid-left, .site-hdr .grid-right {
  display: grid;
  grid-auto-columns: auto;
  grid-auto-rows: auto;
  grid-auto-flow: column; }

.site-grid {
  display: grid;
  grid-template-columns: 1fr auto 1fr;
  grid-template-rows: auto;
  grid-template-areas: "hd hd hd" "sd sd sd" "mn mn mn" "ft ft ft"; }
  @media screen and (min-width: 768px) and (max-width: 1023px) {
    .site-grid {
      grid-template-areas: "hd hd hd" " . sd . " " . mn . " "ft ft ft"; } }
  @media screen and (min-width: 1024px) and (max-width: 1599px) {
    .site-grid {
      grid-template-areas: "hd hd hd" "sd mn . " "ft ft ft"; } }
  @media screen and (min-width: 1600px) {
    .site-grid {
      grid-template-areas: "hd hd hd" "sd mn sd2" "ft ft ft"; } }

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  text-rendering: optimizeLegibility; }

ul {
  display: block;
  list-style-type: none;
  margin-inline-start: 0;
  margin-inline-end: 0;
  padding-inline-start: 2em; }

li {
  display: list-item; }

ol {
  display: block;
  list-style-type: decimal;
  margin-block-start: 1em;
  margin-block-end: 1em;
  margin-inline-start: 0;
  margin-inline-end: 0;
  padding-inline-start: 1em; }

h1 {
  font-size: calc(1em * 1.250 * 1.250 * 1.250); }

@media (min-width: 480px) {
  h1 {
    font-size: calc(1em * 1.250 * 1.250 * 1.250 * 1.250); } }

h2 {
  font-size: calc(1em * 1.250 * 1.250); }

@media (min-width: 480px) {
  h2 {
    font-size: calc(1em * 1.250 * 1.250 * 1.250); } }

h3 {
  font-size: calc(1em * 1.250); }

@media (min-width: 480px) {
  h3 {
    font-size: calc(1em * 1.250 * 1.250); } }

h4 {
  font-size: 1em; }

@media (min-width: 480px) {
  h4 {
    font-size: calc(1em * 1.250); } }

h5 {
  font-size: calc(1em * 1.250 / 1.250); }

@media (min-width: 480px) {
  h5 {
    font-size: 1em; } }

h6 {
  font-size: calc(1em * 1.250 / 1.250 / 1.250); }

@media (min-width: 480px) {
  h6 {
    font-size: calc(1em * 1.250 / 1.250); } }

h1, h2, h3, h4, h5, h6 {
  font-family: robotocondensedbold, sans-serif;
  font-style: normal;
  font-weight: 700;
  letter-spacing: .012em;
  line-height: 1.1;
  text-transform: none;
  margin-bottom: .6rem; }

html {
  background-color: #353535;
  color: #eeeeec;
  font-family: sourcecodepro, monospace, sans-serif;
  line-height: 1.65;
  font-size: 18px;
  height: 100%; }
  @media screen and (min-width: 1600px) {
    html {
      font-size: 20px; } }
  @media screen and (min-width: 480px) and (max-width: 1599px) {
    html {
      font-size: 19px; } }

::-moz-selection, ::selection {
  background-color: #15539e; }

a, a:visited {
  text-decoration: none;
  color: #3584e4; }

a:hover {
  color: #629fea;
  -webkit-transition: all 0.2s ease;
  -moz-transition: all 0.2s ease;
  -ms-transition: all 0.2s ease;
  -o-transition: all 0.2s ease;
  transition: all 0.2s ease; }

.site-hdr {
  grid-area: hd;
  background: #282828;
  padding: 0 .5rem 0 .5rem;
  border-bottom: 1px solid #070707; }
  .site-hdr a {
    color: #ffffff; }
  .site-hdr a:hover {
    color: #629fea; }
  .site-hdr .grid-left {
    justify-content: start; }
  .site-hdr .grid-right {
    justify-content: end; }
  .site-hdr .hdr-block {
    height: 5rem; }
    .site-hdr .hdr-block .menu, .site-hdr .hdr-block .text, .site-hdr .hdr-block .logo {
      height: 100%;
      line-height: 5rem; }
    .site-hdr .hdr-block .text {
      color: rgba(238, 238, 236, 0.75); }
      @media screen and (max-width: 768px) {
        .site-hdr .hdr-block .text {
          display: none; } }
    @media screen and (max-width: 480px) {
      .site-hdr .hdr-block .menu {
        display: none; } }
    .site-hdr .hdr-block .menu-item {
      display: inline-block;
      padding: 0 .25em; }
    .site-hdr .hdr-block .logo {
      padding: 1rem .5rem 1rem 1rem; }
      @media screen and (max-width: 1024px) {
        .site-hdr .hdr-block .logo {
          padding-left: 16px; } }
    .site-hdr .hdr-block .navi {
      padding: .25rem;
      margin: 1.25rem .5rem;
      height: 2.5rem; }

main {
  grid-area: mn;
  justify-self: center;
  max-width: 35rem;
  margin: 1.5rem 0;
  padding: .5rem 0; }
  @media screen and (min-width: 1600px) {
    main {
      max-width: 38rem; } }
  main .post {
    border: 1px solid #1b1b1b;
    padding: 1rem;
    margin: 1rem 0;
    background: #2d2d2d; }
    main .post p {
      padding: 1rem 0 0 0; }
    main .post img {
      padding: .6rem 0;
      width: 100%;
      height: auto; }
    main .post .post-header a {
      color: #eeeeec; }
      main .post .post-header a:hover {
        color: #629fea; }
    main .post .post-desc {
      margin: 0 0 .6rem;
      color: #c0bfbc; }
    main .post .meta {
      font-size: 0.85rem;
      color: #c0bfbc; }
      main .post .meta h5 {
        margin-bottom: .3rem; }
